/*
 * 文 件 名:  WeatherForecast
 * 版    权:  华设设计集团股份有限公司
 * 描    述:  <描述>
 * 修 改 人:  lvwenbin
 * 修改时间:  2025/5/7
 * 跟踪单号:  <跟踪单号>
 * 修改单号:  <修改单号>
 * 修改内容:  <修改内容>
 */
package com.huashe.common.domain.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 天气预报
 * <功能详细描述>
 *
 * @author lvwenbin
 * @version [版本号, 2025/5/7]
 * @see [相关类/方法]
 * @since [产品/模块版本]
 */
public class WeatherForecast {
    /**
     * 行政区划代码
     */
    private String adcode;

    /**
     * 行政区划名称
     */
    private String areaName;

    /**
     * 日期
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date date;

    /**
     * 日间天气代码
     */
    private String dayWeatherType;

    /**
     * 日间天气描述
     */
    private String dayWeatherCn;

    /**
     * 夜间天气代码
     */
    private String nightWeatherType;

    /**
     * 夜间天气描述
     */
    private String nightWeatherCn;

    /**
     * 日间温度
     */
    private Double dayTemp;

    /**
     * 夜间温度
     */
    private Double nightTemp;

    /**
     * 日间风力
     */
    private String dayWindPower;

    /**
     * 夜间风力
     */
    private String nightWindPower;

    /**
     * 日间风向
     */
    private String dayWindDir;

    /**
     * 夜间风向
     */
    private String nightWindDir;

    /**
     * 数据时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date reportTime;

    public String getAdcode() {
        return adcode;
    }

    public void setAdcode(String adcode) {
        this.adcode = adcode;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getDayWeatherType() {
        return dayWeatherType;
    }

    public void setDayWeatherType(String dayWeatherType) {
        this.dayWeatherType = dayWeatherType;
    }

    public String getDayWeatherCn() {
        return dayWeatherCn;
    }

    public void setDayWeatherCn(String dayWeatherCn) {
        this.dayWeatherCn = dayWeatherCn;
    }

    public String getNightWeatherType() {
        return nightWeatherType;
    }

    public void setNightWeatherType(String nightWeatherType) {
        this.nightWeatherType = nightWeatherType;
    }

    public String getNightWeatherCn() {
        return nightWeatherCn;
    }

    public void setNightWeatherCn(String nightWeatherCn) {
        this.nightWeatherCn = nightWeatherCn;
    }

    public Double getDayTemp() {
        return dayTemp;
    }

    public void setDayTemp(Double dayTemp) {
        this.dayTemp = dayTemp;
    }

    public Double getNightTemp() {
        return nightTemp;
    }

    public void setNightTemp(Double nightTemp) {
        this.nightTemp = nightTemp;
    }

    public String getDayWindPower() {
        return dayWindPower;
    }

    public void setDayWindPower(String dayWindPower) {
        this.dayWindPower = dayWindPower;
    }

    public String getNightWindPower() {
        return nightWindPower;
    }

    public void setNightWindPower(String nightWindPower) {
        this.nightWindPower = nightWindPower;
    }

    public String getDayWindDir() {
        return dayWindDir;
    }

    public void setDayWindDir(String dayWindDir) {
        this.dayWindDir = dayWindDir;
    }

    public String getNightWindDir() {
        return nightWindDir;
    }

    public void setNightWindDir(String nightWindDir) {
        this.nightWindDir = nightWindDir;
    }

    public Date getReportTime() {
        return reportTime;
    }

    public void setReportTime(Date reportTime) {
        this.reportTime = reportTime;
    }
}